Skip to main content
GET
/
v1
/
consumer
/
orders
List Orders
curl --request GET \
  --url https://api.withflex.com/v1/consumer/orders \
  --header 'Authorization: Bearer <token>'
{
  "orders": [
    {
      "allow_promotion_codes": false,
      "amount_total": 0,
      "amount_subtotal": 0,
      "amount_received": 0,
      "amount_refunded": 0,
      "amount_disputed": 0,
      "cancel_url": "https://example.com",
      "captures": [],
      "disputes": [],
      "capture_method": "automatic",
      "checkout_session_id": "obj_01EXAMPLE00000000000000000",
      "client_reference_id": "string",
      "created_at": 0,
      "defaults": {},
      "expires_at": 0,
      "invoice": "obj_01EXAMPLE00000000000000000",
      "hsa_fsa_eligible": false,
      "letter_of_medical_necessity_required": false,
      "metadata": {},
      "mode": "payment",
      "origin": "shopify",
      "payment_intents": [],
      "redirect_url": "https://example.com",
      "refunds": [],
      "setup_intent": "string",
      "shipping_options": {},
      "shipping_address_collection": false,
      "shipping_details": {},
      "status": "open",
      "success_url": "https://example.com",
      "fees": [],
      "custom_text": {},
      "subscription_data": {},
      "tax_rate": {},
      "tax_calculation_mode": "exclusive",
      "test_mode": false,
      "total_details": {},
      "visit_type": "cbtSleep",
      "payment_method_options": {},
      "platform_fees": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.withflex.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Query Parameters

limit
integer<uint32> | null
Required range: x >= 0
Example:

10

starting_after
string | null
Example:

"obj_01EXAMPLE00000000000000000"

ending_before
string | null
Example:

"obj_01EXAMPLE00000000000000000"

expand
string

Represents a list as a comma-separated string.

Example:

""

Response

Success

orders
object[]
required